.steps-block {
    padding: 30px 0px;
}
.steps-block .steps {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
}
.steps-block .step-item {
    display: flex;
    flex-direction: column;
    background: white;
    position: relative;
    min-height: 275px;
    padding: 40px;
}
.steps-block .step-item:before {
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    background: rgba(0, 0, 0, 0.4);
    opacity: 0;
    transition: 0.5s;
    z-index: 2;
}
.steps-block .step-item:hover:before {
    opacity: 1;
}
.steps-block .img {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0%;
    height: 0%;
    transition: 0.5s;
    opacity: 0;
    z-index: 1;
}
.steps-block .step-item:hover .img {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
}
.steps-block .img img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}
.steps-block .info {
    display: flex;
    flex-direction: column;
    position: relative;
    z-index: 3;
    height: 100%;
}
.steps-block .num {
    width: 54px;
    height: 54px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background: var(--main);
    font-size: 24px;
    font-weight: 700;
    line-height: 120%;
    color: white;
    margin-bottom: 10px;
    transition: 0.3s;
}
.steps-block .step-item:hover .num {
    background: var(--sec);
}
.steps-block .desc {
    font-size: 16px;
    font-weight: 400;
    line-height: 150%;
    color: var(--lText);
    margin-top: auto;
    transition: 0.3s;
}
.steps-block .step-item:hover .desc {
    color: white;
}


@media (max-width: 1200px) {
    .steps-block .step-item {
        padding: 15px;
        min-height: 200px;
    }
}

@media (max-width: 996px) {
    .steps-block .steps {
        grid-template-columns: repeat(2,1fr);
    }
}

@media (max-width: 600px) {
    .steps-block .num {
        width: 40px;
        height: 40px;
        font-size: 14px;
    }
}

@media (max-width: 498px) {
    .steps-block .steps {
        display: flex;
        flex-direction: column;
    }
    .steps-block .step-item {
        min-height: unset;
    }
}